#!/usr/bin/sh
#copyright      "%c%"
#ident  "@(#)opensrc:src/javasoap/javasoap.sh /main/uw714mp/4"

#
# - patches/		the patches to be applied
# - javasoap.sh		build script -- this file
#

# Note: javasoap consists of several pieces.  They are:
#	axis-bin-1_2 from http://archive.apache.org/dist/ws/axis/1_2
#       jaf-1_1-fr from http://java.sun.com/products/javamail/downloads/
#       javamail-1_4-fr from http://java.sun.com/products/javabeans/jaf/downloads
#	xerces-J-bin.1.4.4 from http://archive.apache.org/dist/xml/xerces-j/

set -x
set -e

CURDIR=`pwd`

# Set the TOMCATPATH to the path for the version of tomcat to install on
TOMCATPATH=/usr/lib/apache/jakarta-tomcat-4.1.31
# Set the JAVAPATH to the path for the version of java to install on
JAVAPATH=/opt/java2-1.4.2/jre/lib/ext

TCSRCDIR=../../jakarta-tomcat/dist/common/lib
DESTDIRT=$ROOT/$MACH/$TOMCATPATH
DESTDIRA=$DESTDIRT/webapps/axis
DESTDIRJ=$ROOT/$MACH/$JAVAPATH

mkdir -p $DESTDIRA/WEB-INF/lib
mkdir -p $DESTDIRJ

cd dist

#
# Copy the axis stuff
#

echo "Copying axis files to $DESTDIRA ..."
cp -r axis/webapps/axis/* $DESTDIRA
echo "Copying axis files to $DESTDIRJ ..."
cp -r axis/lib/* $DESTDIRJ

#
# Copy the xerces stuff
#

echo "Copying xerces.jar file to $DESTDIRA/lib and $DESTDIRJ ..."
cp -r xerces/xerces.jar $DESTDIRA/WEB-INF/lib
cp -r xerces/xerces.jar $DESTDIRJ

#
# Copy the Javabeans Activation Framework jar
#
echo "Copying activation.jar file to $DESTDIRJ ..."
cp jaf/activation.jar $DESTDIRJ

#
# Copy the Javamail API jar
#
echo "Copying mail.jar file to $DESTDIRJ ..."
cp javamail/mail.jar $DESTDIRJ

#
# Copy the tomcat servlet jar
#
echo "Copying servlet.jar file to $DESTDIRJ ..."
cp $TCSRCDIR/servlet.jar $DESTDIRJ

exit 0
